Subject: Re: [PATCH v1] diff: document -U without <n> as using default context

From: Tian Yuchen <[email-masked]>
Date: Tue, 10 Mar 2026 12:55:02 +0800

Hi Ben,

On 3/10/26 06:00, D. Ben Knoble wrote:

> Which makes me notice: 3 is the default if the config option is unset
> _or_ if <n> is not provided. Is there a better wording to indicate
> that? Maybe the simplest tweak is to clarify that <n> is the thing
> which defaults to… (since a first read might leave the reader
> wondering "what defaults to diff.context or 3? ah, it's probably n…").
> But a glance at other docs makes this pattern seem common while some
> do say "if <n> is specified…", so idk.

Indeed, the current wording isn't clear enough. I'll make corrections 
wherever it's needed. I think Junio provides a good template that's 
great with just a few tweaks ;)

Thanks for the review!

Yuchen